<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>spin</name>
  <program_name>spin</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_OUT</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>eventbox4_blue</name>

      <widget>
	<class>GtkHBox</class>
	<name>hbox3</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkButton</class>
	  <name>spin_button</name>
	  <tooltip>temporarily loop the last few beats</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>pressed</name>
	    <handler>gdam_skin_do_toggle:spun</handler>
	    <last_modification_time>Sun, 17 Oct 1999 00:26:09 GMT</last_modification_time>
	  </signal>
	  <signal>
	    <name>released</name>
	    <handler>gdam_skin_do_toggle:spun</handler>
	    <last_modification_time>Sun, 17 Oct 1999 00:26:09 GMT</last_modification_time>
	  </signal>
	  <label>spin</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkVBox</class>
	  <name>vbox5</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox1</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkVBox</class>
	      <name>vbox2</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>

	      <widget>
		<class>GtkToggleButton</class>
		<name>togglebutton1</name>
		<can_focus>True</can_focus>
		<signal>
		  <name>clicked</name>
		  <handler>gdam_skin_toggle_button:spun</handler>
		  <last_modification_time>Sun, 06 Feb 2000 06:32:23 GMT</last_modification_time>
		</signal>
		<label>lock</label>
		<active>False</active>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>True</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkButton</class>
		<name>button2</name>
		<tooltip>assign midi control</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>pressed</name>
		  <handler>gdam_skin_try_or_destroy:gdam_input_button:spun:0:2:Spin</handler>
		  <last_modification_time>Fri, 25 Feb 2000 00:55:55 GMT</last_modification_time>
		</signal>
		<label>M</label>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkVBox</class>
	      <name>vbox4</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>GtkHBox</class>
		<name>hbox2</name>
		<homogeneous>False</homogeneous>
		<spacing>0</spacing>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>False</fill>
		</child>

		<widget>
		  <class>GtkEventBox</class>
		  <name>eventbox3</name>
		  <tooltip>length of spun sound in beats</tooltip>
		  <child>
		    <padding>0</padding>
		    <expand>True</expand>
		    <fill>False</fill>
		  </child>

		  <widget>
		    <class>GtkFrame</class>
		    <name>frame1</name>
		    <label_xalign>0</label_xalign>
		    <shadow_type>GTK_SHADOW_IN</shadow_type>

		    <widget>
		      <class>GtkHBox</class>
		      <name>hbox3</name>
		      <homogeneous>False</homogeneous>
		      <spacing>0</spacing>

		      <widget>
			<class>GtkVBox</class>
			<name>vbox5</name>
			<homogeneous>False</homogeneous>
			<spacing>0</spacing>
			<child>
			  <padding>2</padding>
			  <expand>False</expand>
			  <fill>True</fill>
			</child>

			<widget>
			  <class>GtkEventBox</class>
			  <name>eventbox1</name>
			  <signal>
			    <name>gdam-left-clicked</name>
			    <handler>gdam_skin_arg_int:nudge_beat_factor:1</handler>
			    <last_modification_time>Sat, 12 Aug 2000 16:47:02 GMT</last_modification_time>
			  </signal>
			  <signal>
			    <name>gdam-right-clicked</name>
			    <handler>gdam_skin_arg_double:beat_factor:2:factor</handler>
			    <last_modification_time>Sat, 12 Aug 2000 16:54:42 GMT</last_modification_time>
			  </signal>
			  <child>
			    <padding>0</padding>
			    <expand>True</expand>
			    <fill>True</fill>
			  </child>

			  <widget>
			    <class>GtkArrow</class>
			    <name>arrow1</name>
			    <width>9</width>
			    <height>9</height>
			    <arrow_type>GTK_ARROW_UP</arrow_type>
			    <shadow_type>GTK_SHADOW_OUT</shadow_type>
			    <xalign>0.5</xalign>
			    <yalign>0.5</yalign>
			    <xpad>0</xpad>
			    <ypad>0</ypad>
			  </widget>
			</widget>

			<widget>
			  <class>GtkEventBox</class>
			  <name>eventbox2</name>
			  <signal>
			    <name>gdam-left-clicked</name>
			    <handler>gdam_skin_arg_int:nudge_beat_factor:-1</handler>
			    <last_modification_time>Sat, 12 Aug 2000 16:47:40 GMT</last_modification_time>
			  </signal>
			  <signal>
			    <name>gdam-right-clicked</name>
			    <handler>gdam_skin_arg_double:beat_factor:0.5:factor</handler>
			    <last_modification_time>Sat, 12 Aug 2000 16:54:18 GMT</last_modification_time>
			  </signal>
			  <child>
			    <padding>0</padding>
			    <expand>True</expand>
			    <fill>True</fill>
			  </child>

			  <widget>
			    <class>GtkArrow</class>
			    <name>arrow2</name>
			    <width>9</width>
			    <height>9</height>
			    <arrow_type>GTK_ARROW_DOWN</arrow_type>
			    <shadow_type>GTK_SHADOW_OUT</shadow_type>
			    <xalign>0.5</xalign>
			    <yalign>0.5</yalign>
			    <xpad>0</xpad>
			    <ypad>0</ypad>
			  </widget>
			</widget>
		      </widget>

		      <widget>
			<class>GtkLabel</class>
			<name>label1</name>
			<width>50</width>
			<signal>
			  <name>whatever</name>
			  <handler>gdam_spin_skin_sub_bpm_factor_label</handler>
			  <last_modification_time>Sat, 08 Apr 2000 03:53:31 GMT</last_modification_time>
			</signal>
			<label>2</label>
			<justify>GTK_JUSTIFY_FILL</justify>
			<wrap>False</wrap>
			<xalign>0.5</xalign>
			<yalign>0.5</yalign>
			<xpad>8</xpad>
			<ypad>4</ypad>
			<child>
			  <padding>0</padding>
			  <expand>False</expand>
			  <fill>False</fill>
			</child>
		      </widget>
		    </widget>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkButton</class>
		<name>button3</name>
		<tooltip>assign midi control</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>pressed</name>
		  <handler>gdam_skin_try_or_destroy:gdam_input_button:sub_beat_factor:0:2:sub_beat_factor</handler>
		</signal>
		<label>M</label>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>
	    </widget>

	    <widget>
	      <class>GtkSpinButton</class>
	      <name>spinbutton1</name>
	      <tooltip>minimum buffer size in beats</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>adjustment_changed</name>
		<handler>gdam_skin_adjustment:dummy_beat</handler>
		<last_modification_time>Sun, 06 May 2001 15:02:42 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>activate</name>
		<handler>gdam_skin_defocus_on_activate</handler>
		<last_modification_time>Thu, 13 Apr 2000 21:53:12 GMT</last_modification_time>
	      </signal>
	      <climb_rate>1</climb_rate>
	      <digits>0</digits>
	      <numeric>True</numeric>
	      <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	      <snap>False</snap>
	      <wrap>False</wrap>
	      <value>0</value>
	      <lower>0</lower>
	      <upper>8</upper>
	      <step>1</step>
	      <page>2</page>
	      <page_size>0</page_size>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button4</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:spin</handler>
		<last_modification_time>Fri, 24 Mar 2000 16:38:35 GMT</last_modification_time>
	      </signal>
	      <label>?</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button1</name>
	      <tooltip>export buffer</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_echo_base_snag_buffer</handler>
		<last_modification_time>Sat, 01 Jan 2000 20:19:23 GMT</last_modification_time>
	      </signal>
	      <label>=&gt;</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkVBox</class>
	      <name>vbox3</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>

	      <widget>
		<class>Custom</class>
		<name>custom1</name>
		<width>32</width>
		<height>32</height>
		<tooltip>assign hardware binding</tooltip>
		<signal>
		  <name>clicked</name>
		  <handler>gdam_skin_make_binding_dialog</handler>
		  <last_modification_time>Thu, 23 Mar 2000 03:47:09 GMT</last_modification_time>
		</signal>
		<creation_function>gtk_pix_button_create_func</creation_function>
		<string1>default/hardware.xpm:default/hardware_active.xpm:default/hardware_prelight.xpm:default/hardware_active.xpm</string1>
		<int1>0</int1>
		<int2>0</int2>
		<last_modification_time>Thu, 23 Mar 2000 03:44:27 GMT</last_modification_time>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>False</fill>
		</child>
	      </widget>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox4</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkHScale</class>
	      <name>hscale1</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>value_changed</name>
		<handler>gdam_skin_adjustment:passthrough_volume</handler>
		<last_modification_time>Fri, 13 Oct 2000 20:06:54 GMT</last_modification_time>
	      </signal>
	      <draw_value>True</draw_value>
	      <value_pos>GTK_POS_TOP</value_pos>
	      <digits>1</digits>
	      <policy>GTK_UPDATE_CONTINUOUS</policy>
	      <value>0</value>
	      <lower>0</lower>
	      <upper>2</upper>
	      <step>0.1</step>
	      <page>0.1</page>
	      <page_size>0</page_size>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button5</name>
	      <tooltip>assign midi control</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>pressed</name>
		<handler>gdam_skin_try_or_destroy:gdam_input_button:passthrough_volume:0:2:passthrough_volume</handler>
		<last_modification_time>Sun, 04 Nov 2001 03:32:52 GMT</last_modification_time>
	      </signal>
	      <label>M</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox5</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkHScale</class>
	      <name>hscale2</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>value_changed</name>
		<handler>gdam_skin_adjustment:wet_volume</handler>
		<last_modification_time>Sun, 04 Nov 2001 03:30:48 GMT</last_modification_time>
	      </signal>
	      <draw_value>True</draw_value>
	      <value_pos>GTK_POS_TOP</value_pos>
	      <digits>1</digits>
	      <policy>GTK_UPDATE_CONTINUOUS</policy>
	      <value>1</value>
	      <lower>0</lower>
	      <upper>2</upper>
	      <step>0.1</step>
	      <page>0.1</page>
	      <page_size>0</page_size>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkButton</class>
	      <name>button6</name>
	      <tooltip>assign midi control</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>pressed</name>
		<handler>gdam_skin_try_or_destroy:gdam_input_button:wet_volume:0:2:wet_volume</handler>
		<last_modification_time>Sun, 04 Nov 2001 03:33:41 GMT</last_modification_time>
	      </signal>
	      <label>M</label>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
